# Taking the Cochrane-Piazzesi Term Structure Model Out of Sample: More Data, Additional Currencies, and FX Implications
Robert J. Hodrick and Tuomas Tomunen

This repository contains data and source code for the project. It contains the following folders:
 * data: contains both raw and cleaned data used in the study - see data_manual.ipynb for details. Note: the data files do not include US data for copyright purposes.
   These data will be fetched from WRDS and written locally when replication script is run. Note that WRDS account with CRSP subscription is needed.
 * code: contains modules to load data, run all analyses and print results to console or .tex/.eps files. To run all analyses, execute main.py.
 * output: all tables and figures live here.
 

To run the script, follow these steps:
  1. conda env create --file environment.yml
  2. conda activate term_structure
  3. python main.py [file] (file is optional and causes script to overwrite all tables and figures in output folder instead of printing tables to console)
